libxml-libxml-perl (2.0132+dfsg-2) unstable; urgency=medium

  * Use pkg-config to find xml2 flags instead of xml2-config which is gone
    in libxml2-dev 2.9.7.
    Thanks to Gerardo Esteban Malazdrewicz for the bug report.
    (Closes: #902306)

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Jun 2018 23:24:33 +0200

libxml-libxml-perl (2.0132+dfsg-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 2.0132+dfsg.
    Fixes "prefix consistently with XML::" (Closes: #843152).
  * Drop outdated debian/README.source.
  * Refresh fail-build-no-libxml2.patch (offset).
  * Drop debian/patches/CVE-2017-10672/* which were from upstream Git.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.1.4.
  * Bump debhelper compatibility level to 10.
  * Skip a new test during autopkgtest (and build).
    It needs POD files from the source tree, and is semantically an
    author test.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jun 2018 21:57:04 +0200

libxml-libxml-perl (2.0128+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 Nov 2017 21:58:13 +0100

libxml-libxml-perl (2.0128+dfsg-4) experimental; urgency=medium

  * Team upload.
  * CVE-2017-10672: Use-after-free by controlling the arguments to a
    replaceChild call (Closes: #866676)
  * Declare compliance with Debian policy 4.1.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 29 Oct 2017 13:26:40 +0100

libxml-libxml-perl (2.0128+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Revert "CVE-2017-10672: Use-after-free by controlling the arguments to a
    replaceChild call"
    Further investigation pending. The upload caused several FTBFS on
    release architectures.
    Reopens: #866676

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 04 Aug 2017 12:43:13 +0200

libxml-libxml-perl (2.0128+dfsg-2) unstable; urgency=high

  * Team upload.

  [ gregor herrmann ]
  * Remove Chris Butler from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * CVE-2017-10672: Use-after-free by controlling the arguments to a
    replaceChild call (Closes: #866676)
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Aug 2017 21:42:27 +0200

libxml-libxml-perl (2.0128+dfsg-1) unstable; urgency=medium

  [ Nick Morrott ]
  * New upstream release
  * Add myself to Uploaders

  [ gregor herrmann ]
  * Remove build dependency on libtest-pod-perl.
    t/pod.t is an author test now.

 -- Nick Morrott <knowledgejunkie@gmail.com>  Mon, 08 Aug 2016 04:31:40 +0100

libxml-libxml-perl (2.0126+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Switch repackaging framework to Files-Excluded method.
  * New upstream release.
  * Refresh fail-build-no-libxml2.patch.
  * Add debian/upstream/metadata.
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Jun 2016 18:03:33 +0200

libxml-libxml-perl (2.0123+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop wording.patch, applied upstream.
  * debian/copyright: update Upstream-Contact and add more third-party
    files.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Dec 2015 15:08:40 +0100

libxml-libxml-perl (2.0122+dfsg-1) unstable; urgency=medium

  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * New upstream release.
  * Drop Preserve-unset-options-after-a-_clone-call.patch which was
    cherry-picked from upstream.
  * Refresh fail-build-no-libxml2.patch (offset).
  * Drop version constraint from perl build dependency. The requirement
    for a specific EUMM version was (bogus in the first place and) removed
    upstream.
  * Add wording.patch (s/allow\sto/allow one to/g).

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Dec 2015 13:49:02 +0100

libxml-libxml-perl (2.0116+dfsg-5) unstable; urgency=medium

  * debian/rules: use 'wildcard' instead of 'shell echo'.
  * Add patch to disable the runtime check for the libxml2 version.
    This test is not needed due to symbol versioning, and it causes warnings
    which are not only annoying but break the build of other packages.
    (Closes: #783610)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Aug 2015 19:21:06 +0200

libxml-libxml-perl (2.0116+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Make the package autopkgtestable

 -- Niko Tyni <ntyni@debian.org>  Fri, 05 Jun 2015 17:59:17 +0300

libxml-libxml-perl (2.0116+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Adjust test case for CVE-2015-3451 to actually test for the
    vulnerability

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 May 2015 12:26:14 +0200

libxml-libxml-perl (2.0116+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Browser URL to cgit web frontend
  * Add Preserve-unset-options-after-a-_clone-call.patch patch.
    Preserve unset options after a _clone() call (e.g: in load_xml()).
    (Closes: #783443)
  * Declare compliance with Debian policy 3.9.6

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Apr 2015 20:34:33 +0200

libxml-libxml-perl (2.0116+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Refresh fail-build-no-libxml2.patch (offset).
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 16 May 2014 18:30:03 +0200

libxml-libxml-perl (2.0108+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh fail-build-no-libxml2.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Dec 2013 17:12:35 +0100

libxml-libxml-perl (2.0107+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop fix-spelling-errors.patch, fixed upstream.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Nov 2013 23:19:48 +0100

libxml-libxml-perl (2.0106+dfsg-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Update debian/repack.stub.
  * New upstream release.
  * Update years of packaging copyright.
  * Drop Breaks/Replaces libxml-libxml-common-perl. The package was
    removed from the archive 4 years ago and is in no existing suite
    anymore.

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Oct 2013 20:22:16 +0200

libxml-libxml-perl (2.0010+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update fail-build-no-libxml2.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 07 Nov 2012 20:28:13 +0100

libxml-libxml-perl (2.0006+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 16 Oct 2012 14:10:26 +0200

libxml-libxml-perl (2.0004+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 15 Aug 2012 18:42:31 +0200

libxml-libxml-perl (2.0003+dfsg-2) unstable; urgency=low

  * Add fail-build-no-libxml2.patch (Closes: #684070)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 07 Aug 2012 21:44:28 +0200

libxml-libxml-perl (2.0003+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 01 Aug 2012 11:57:35 +0200

libxml-libxml-perl (2.0002+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Alessandro Ghedini ]
  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 26 Jul 2012 01:26:28 +0200

libxml-libxml-perl (2.0001+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 21 Jun 2012 20:08:06 +0200

libxml-libxml-perl (2.0000+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 20 Jun 2012 11:20:57 +0200

libxml-libxml-perl (1.99+dfsg-1) unstable; urgency=low

  * New upstream release
  * Drop 0001-Fix-test-failures-on-64-bit-big-endian-platforms.patch
    (merged upstream)
  * Drop dont-link-to-zlib.patch
    (useless since -lz is now taken from xml2-config)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 31 May 2012 21:50:33 +0200

libxml-libxml-perl (1.98+dfsg-2) unstable; urgency=low

  * Refresh fix-spelling-errors.patch (offset).
  * Add patch 0001-Fix-test-failures-on-64-bit-big-endian-platforms.patch:
    use an 'int' instead of STRLEN to avoid variable corruption on big
    endian platforms. Thanks to Niko Tyni for the patch. (Closes: #673590)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 May 2012 23:15:08 +0200

libxml-libxml-perl (1.98+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 16 May 2012 13:38:51 +0200

libxml-libxml-perl (1.97+dfsg-1) unstable; urgency=low

  * New upstream release
  * Email change: Alessandro Ghedini -> ghedo@debian.org

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 08 May 2012 12:45:17 +0200

libxml-libxml-perl (1.95+dfsg-1) unstable; urgency=low

  * New upstream release
    - Fix XML::LibXML::Element tests for inequality with == and eq
      (Closes: #664056)
  * Add dont-link-to-zlib.patch
  * Bump versioned build dep on debhelper to get CPPFLAGS and LDFLAGS too

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 17 Mar 2012 14:32:37 +0100

libxml-libxml-perl (1.93+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 27 Feb 2012 18:43:09 +0100

libxml-libxml-perl (1.92+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 22 Feb 2012 18:34:47 +0100

libxml-libxml-perl (1.90+dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump debhlper compat level to 9

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 20 Jan 2012 15:00:42 +0100

libxml-libxml-perl (1.89+dfsg-1) unstable; urgency=low

  * New upstream release
  * Add new files to copyright

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 26 Dec 2011 18:51:29 +0100

libxml-libxml-perl (1.88+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 22 Sep 2011 18:48:18 +0200

libxml-libxml-perl (1.86+dfsg-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Alessandro Ghedini ]
  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 25 Aug 2011 12:40:07 +0200

libxml-libxml-perl (1.84+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refreshed fix-spelling-errors.patch
  * Add myself to Uploaders

 -- Chris Butler <chrisb@debian.org>  Tue, 26 Jul 2011 12:05:22 +0200

libxml-libxml-perl (1.80+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #632293)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 13 Jul 2011 10:49:35 +0200

libxml-libxml-perl (1.78+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #585541)
  * Update copyright entry for Shlomi Fish with new tests
  * Remove examples without license and/or copyright:
    - Update repack.local and README.source with removed files
    - Use +dfsg version suffix
    - Update debian/watch dversionmangle with the new suffix
    - Disable tests that use those files

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 07 Jul 2011 19:13:25 +0200

libxml-libxml-perl (1.75.ds-1) unstable; urgency=low

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.1; replace Conflicts with Breaks.

  [ Alessandro Ghedini ]
  * New upstream release
  * Bump debhelper compat level to 8
  * Switch to 3.0 (quilt) format
    - Remove quilt from B-D
    - Update README.source
    - Do not use dh addon for quilt
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Add myself to Uploaders
  * Update debian/changelog:
    - Use newer DEP5 revision
    - Update upstream copyright years
    - Add myself to copyright
    - Update licenses (artistic and GPL-1+) text, fix GPL link
   * Reorder (Build-)Depends
   * Build depend on perl (>= 5.12) because ExtUtils::MakeMaker 6.56 is needed
   * Drop fix_manpage_typos and fix_errmsg_typo patches (merged upstream)
   * Do not install README (contains only build and installation info)
   * Clean-up *.postinst and *.prerm
   * Add fix-spelling-errors patch
   * Add scripts/Test.pm-to-Test-More.pl to debian/copyright
   * Fix README.source to not point to the get-orig-source rule in rules
     as it has been removed

  [ gregor herrmann ]
  * Add libtest-pod-perl to Build-Depends.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 30 Jun 2011 19:21:44 +0200

libxml-libxml-perl (1.70.ds-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release (closes: #546240)
  * Remove the unneeded get-orig-source target
  * Rewrote control description
  * Added myself to Uploaders
  * Standards-Version 3.8.3 (drop perl version dependency)
  * Updated copyright information
  * Remove no_linking_with_libm.patch, applied upstream (RT#41303)
  * Refresh patches to unified diff format
  * Drop version dependencies where satisfied by oldstable
  * Now require the newest libxml2-dev (>= 2.7.6)

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Add patch fix_errmsg_typo.patch to fix a typo in an error message; thanks
    to Adam Buchbinder for the bug report and the patch (closes: #535198).
  * Don't run test t/01basic.t, we've got dpkg-shlibdeps to guard against
    binary compatibility problems (cf. #546503).
  * XML::LibXML::Common is now included in libxml-libxml-perl; remove
    libxml-libxml-common-perl from Build-Depends and Depends, add it to
    Conflicts and Replaces.

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Oct 2009 01:52:09 +0100

libxml-libxml-perl (1.69.ds-2) unstable; urgency=low

  * Remove Florian Ragwitz from Uploaders (closes: #523275).
  * Set Standards-Version to 3.8.1 (no changes).
  * Remove duplicate fields from debian/control.
  * Minimize debian/rules, bump quilt and debhelper build dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 31 May 2009 14:36:13 +0200

libxml-libxml-perl (1.69.ds-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * Set Standards-Version to 3.8.0; add debian/README.source to document quilt
    usage.
  * Add a debian/repack.sh script that creates the .ds version from the
    upstream tarball: it removes the debian/ directory and the lines
    referencing it in MANIFEST. Mention the repackaging in
    debian/README.source. Add get-orig-source target to debian/rules.
  * debian/watch: extended regexp for matching upstream releases.
  * Refresh patch fix_manpage_typos and add a short description.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: switch to new format.
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add /me to Uploaders
    - wrap long lines
    - mention module name in long description
    - remove -1 revision from versioned build dependency
    - add ${misc:Depends} to Depends:

  [ Damyan Ivanov ]
  * add no_linking_with_libm.patch, avoiding unneeded linkage with libm

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Nov 2008 10:43:03 +0100

libxml-libxml-perl (1.66-1) unstable; urgency=low

  * New upstream release (Closes: #442813)
  * Took over package maintenance by the pkg-perl group; leaving
    original maintainer as an uploader (See #442813)
  * Added debian/watch
  * Updated debhelper compat to 6
  * Bumped up standards-version to 3.7.3 (no changes needed)
  * Migrated from dpatch to quilt; diff.gz clean (no patches outside quilt
    anymore)
  * Removed redundant debian/libxml-libxml-perl.{docs,examples} -
    Included in rules

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 10 Feb 2008 17:46:15 -0600

libxml-libxml-perl (1.63-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS of libxml-feed-perl with upstream r664. Closes: #432513

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 31 Jul 2007 20:24:31 +0000

libxml-libxml-perl (1.63-1) unstable; urgency=low

  * New upstream release (Closes: #389857).
    + Fixes typo in XML::LibXML::Namespace docs (Closes: #385538).
  * Skip failing tests caused by recent libxml2 versions. See
    http://rt.cpan.org/Ticket/Display.html?id=27659
    (Closes: #430002, #430796).

 -- Florian Ragwitz <rafl@debian.org>  Wed, 27 Jun 2007 21:50:26 +0200

libxml-libxml-perl (1.59-2) unstable; urgency=low

  * Removed some debugging code I accidentally left in.

 -- Florian Ragwitz <rafl@debian.org>  Thu,  3 Aug 2006 16:58:57 +0200

libxml-libxml-perl (1.59-1) unstable; urgency=low

  * New upstream release.
    + Fixes several memory leaks (Closes: #358524).
    + Adds default error method for XML::LibXML::SAX (Closes: #297885).
  * Bump Standards-Version to 3.7.2 (no changes).
  * Fixed some documentation typos in XML::LibXML::Node (Closes: #287473).

 -- Florian Ragwitz <rafl@debian.org>  Thu,  3 Aug 2006 16:12:11 +0200

libxml-libxml-perl (1.58-3) unstable; urgency=low

  * Fixed syntax error in the maintainer scripts (Closes: #335843).

 -- Florian Ragwitz <rafl@debian.org>  Tue,  1 Nov 2005 11:15:43 +0100

libxml-libxml-perl (1.58-2) unstable; urgency=low

  * New Maintainer (Closes: #300236).
  * Bumped up Standards-Version.
  * debian/rules:
    + Cleaned up.
    + Run the test suite. Ignore its results.
    + First unpatch, then clean. Not the other way around.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 31 Oct 2005 14:36:05 +0100

libxml-libxml-perl (1.58-1) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/libxml-libxml-perl.prerm: remove bashism
  * Incorporates previous NMUs (closes: #260832, #240334, #282439, #277469,
    #280410)
  * debian/control: Build-Depend on dpatch
  * debian/rules: Add dpatch support
  * Partially applied patch from Vincent Lefevre to correct a lot of typos in
    manpage (closes: #249529)

 -- Andrew Pollock <apollock@debian.org>  Tue, 16 Aug 2005 13:31:13 +1000

libxml-libxml-perl (1.58-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * Fixed callback issues appearing in threaded and mixed mod_perl/libphp4
    environments. (now calling xmlInitParser(), similar patch to that of Jason
    Adams for bug#240334)

 -- Michael Kröll <michael.kroell@uibk.ac.at>  Sat, 04 Dec 2004 16:27:20 +0100

libxml-libxml-perl (1.58-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Upload to non-delayed queue since it fixes a FTBFS of the previous NMU.
  * Applied patch by Michael Kröll.  Closes: #282439..

 -- Enrico Zini <enrico@debian.org>  Mon, 22 Nov 2004 22:24:30 +0100

libxml-libxml-perl (1.58-0.1) unstable; urgency=high

  * Non-maintainer upload
  * New upstream version.  Closes: bug#260832, bug#277469, bug#280410.
  * Integrated upstream version 1.58_1
  * Added RelaxNG and W3C Schema tests and rudimentary documentation from
    XML::LibXML CVS

 -- Michael Kröll <michael.kroell@uibk.ac.at>  Sun, 24 Oct 2004 10:17:04 +0200

libxml-libxml-perl (1.56-6.1) unstable; urgency=high

  * Non-maintainer upload
  * Applied patch by Jason Adams.  Closes: bug#240334.
  * Urgency set to high, as the module is not functional with mod_perl
    without this patch

 -- Enrico Zini <enrico@debian.org>  Wed, 22 Sep 2004 21:10:50 +0200

libxml-libxml-perl (1.56-6) unstable; urgency=low

  * Integrate CVS as of 20040115
  * Sign with subkey of real key (new UID)
  * Add Jay Bonci as co-maintainer

 -- Michael K. Edwards <medwards-debian@sane.net>  Mon, 19 Jan 2004 00:28:59 -0800

libxml-libxml-perl (1.56-5) unstable; urgency=low

  * Overhaul XSUB code to fix LibXML_error brain damage (first pass)
  * Test suite is now valgrind memcheck clean
  * Major memory leaks plugged, except cleanup from bad XML still needs work
    (remaining leakage is dominated by Perl objects that don't get GC'ed)

 -- Michael K. Edwards (in Debian context) <mkedeb@sane.net>  Thu, 15 Jan 2004 01:40:46 -0800

libxml-libxml-perl (1.56-4) unstable; urgency=low

  * New maintainer (closes: Bug#210534)
  * debian/rules: rebuilt with dh-make-perl, add noopt support
  * t/02parse.t: bypass tests that crash due to regressions in libxml2
  * LibXML.xs: don't redeclare externs now in libxml2 globals.h
    (closes: Bug#225620)
  * LibXML.pm, LibXML.xs: fix spurious warnings during make test
  * lib/XML/LibXML/SAX.pm: inherit superclass using "use base" syntax
  * rebuild against perl v5.8.2, bump build-depends
  * rebuild against libxml2 v2.6.3-1, bump build-depends
  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)

 -- Michael K. Edwards (in Debian context) <mkedeb@sane.net>  Tue, 30 Dec 2003 20:04:27 -0800

libxml-libxml-perl (1.56-3) unstable; urgency=low

  * rebuild against perl v5.8.1
    (closes: Bug#213652)
  * debian/control: updated build dependency on perl to '>= 5.8.1'
  * rebuild against libxml2 v2.5.11-2
    (closes: Bug#212784)
  * debian/control: updated build dependency on libxml2-dev to '>= 2.5.11-2'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  4 Oct 2003 10:21:46 -0500

libxml-libxml-perl (1.56-2) unstable; urgency=low

  * debian/control: hardcoded dependency in 'libxml2' to '>= 2.5.10' until
    libxml2 itself provides the correct library info
  * debian/rules: excluded 'libxml2' from 'dh_shlibdeps'

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri,  5 Sep 2003 09:01:20 -0500

libxml-libxml-perl (1.56-1) unstable; urgency=low

  * New upstream release
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)
  * debian/control: updated build dependency on 'libxml2-dev' to '>= 2.5.10'
  * debian/contorl: added build dependency on 'zlib1g-dev (>= 1:1.1.4)'

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed,  3 Sep 2003 22:09:28 -0500

libxml-libxml-perl (1.54-2) unstable; urgency=low

  * debian/control: removed unnecessary dependency on 'libxml-nodefilter-perl'

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  9 Jun 2003 18:51:07 -0500

libxml-libxml-perl (1.54-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#186824)
    - fixed to work with libxml2 v2.5.7
      (closes: Bug#187684)
    - fixed improper UTF-8 handling
      (closes: Bug#196373, Bug#194916)
  * debian/control: added build dependency on 'libgdome2-dev'
  * debian/control: added (build) dependency on 'libxml-libxml-common-perl'
  * debian/control: added dependency on 'libxml-nodefilter-perl'
  * XML::LibXML: fixed typo in manual page
    (closes: Bug#158294)
  * XML::/LibXML::SAX::Parser: fixed incorrectly prefix handling
    (closes: Bug#174612)
  * debian/libxml-libxml-perl.postinst: added XML::LibXML::SAX parser module
    registration
  * debian/libxml-libxml-perl.prerm: added XML::LibXML::SAX parser module
    deregistration
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: updated sections according to latest archive changes:
    - 'libxml-libxml-perl' from 'interpreters' to 'perl'
  * debian/control: upgraded build dependency on 'debhelper' to '>= 4.1'
  * debian/control: upgraded to Debian Policy 3.5.10 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  8 Jun 2003 19:01:12 -0500

libxml-libxml-perl (1.52-5) unstable; urgency=low

  * Rebuild against libxml2 v2.4.28
    (closes: Bug#171508)
  * debian/control: upgraded to Debian Policy 3.5.8 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  8 Dec 2002 17:07:43 -0600

libxml-libxml-perl (1.52-4) unstable; urgency=low

  * debian/rules: added erroneously removed 'dh_testroot' to 'binary-indep'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Aug 2002 15:19:57 -0500

libxml-libxml-perl (1.52-3) unstable; urgency=low

  * Rebuild against perl 5.8.0
  * debian/control: changed build dependency on perl accordingly
  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-arch' target
  * debian/copyright: added pointer to license

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  3 Aug 2002 17:27:48 -0500

libxml-libxml-perl (1.52-2) unstable; urgency=low

  * Makefile.PL: commented out parser registration code
    (closes: Bug#150922)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue,  2 Jul 2002 20:53:36 -0500

libxml-libxml-perl (1.52-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#149995)
  * debian/control: added missing versioned (build) dependency on
    libxml-namespacesupport-perl v1.07

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 15 Jun 2002 13:41:10 -0500

libxml-libxml-perl (1.50-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 26 May 2002 11:29:03 -0500

libxml-libxml-perl (1.40-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 27 Apr 2002 14:21:45 -0500

libxml-libxml-perl (1.31-2) unstable; urgency=low

  * Added postinstallation and preremoval scripts to properly register and
    unregister the parser XML::LibXML::SAX::Parser
    (closes: Bug#129439)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 16 Feb 2002 22:33:54 -0600

libxml-libxml-perl (1.31-1) unstable; urgency=low

  * New upstream release
  * debian/control: added (build) dependency on libxml-sax-perl
  * debian/control: upgraded to Debian Policy 3.5.6

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  5 Jan 2002 12:21:22 -0600

libxml-libxml-perl (1.00-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#106626)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 19 Aug 2001 10:29:50 -0500

libxml-libxml-perl (0.97-1) unstable; urgency=low

  * New upstream release
  * debian/control: updated long description
  * debian/control: upgraded to Debian Policy 3.5.5

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  7 Jul 2001 13:31:31 -0500

libxml-libxml-perl (0.94-1) unstable; urgency=low

  * New upstream release
  * Makefile.PL: removed various unnecessary $Config uses so it builds
    without needing the same libraries used to build perl
    (closes: Bug#99761)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 10 Jun 2001 17:43:38 -0500

libxml-libxml-perl (0.91-1) unstable; urgency=low

  * Initial Release
    (closes: Bug#99113)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 29 May 2001 19:24:53 -0500
